package logging;

import android.util.Log;

public class AndroidLogger implements Logger {
    private final String tag;

    public AndroidLogger(Class<?> clazz) {
        this.tag = clazz.getSimpleName();
    }

    public void debug(String msg) { Log.d(tag, msg); }
    public void info(String msg)  { Log.i(tag, msg); }
    public void warn(String msg)  { Log.w(tag, msg); }
    public void error(String msg) { Log.e(tag, msg); }
}
